%define	name	kmplayer
%define	version	0.8.3
%define pre rc4
%define release	1mdk

%define section Multimedia/Video
%define title   KMPlayer
%define longtitle MPlayer frontend for KDE

Summary:    %{longtitle}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Url:		http://www.xs4all.nl/~jjvrieze/
Source:		http://www.xs4all.nl/~jjvrieze/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libarts-devel libaudiofile-devel libalsa-devel libvorbis-devel
BuildRequires:	libmad-devel nas-devel zlib-devel
BuildRequires:	kdelibs-devel libart_lgpl-devel	fam-devel libqt-devel
BuildRequires:	arts
Requires:	mplayer

%description
KMPlayer can play all the audio/video supported by MPlayer from local
file or url, be embedded inside Konqueror and KHTML and play DVD's.

%prep
%setup -q -n %{name}-%version

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--mandir=%{_mandir} \
		--datadir=%{_datadir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama \
		--enable-final \
		--with-qt-dir=%{_libdir}/qt3

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="%{title}"\
longtitle="%{longtitle}"\
needs="x11"\
icon="%{name}.png"\
section="%{section}"
EOF

#Menu icons
install -D -m 644 src/lo16-app-%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 src/lo32-app-%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 src/lo32-app-%{name}.png %{buildroot}%{_liconsdir}/%{name}.png

#rm -f %{buildroot}%{_datadir}/mimelnk/video/x-ms-asf.desktop
rm -f %{buildroot}%{_datadir}/mimelnk/video/x-ms-wmv.desktop
rm -f %{buildroot}%{_datadir}/services/mms.protocol
rm -f %{buildroot}%{_datadir}/services/rtsp.protocol

%{find_lang} %{name}

# rename doc paths (seems to be broken)
#mv $RPM_BUILD_ROOT/%_docdir/HTML/et/et $RPM_BUILD_ROOT/%_docdir/HTML/et/kmplayer
#mv $RPM_BUILD_ROOT/%_docdir/HTML/it/it $RPM_BUILD_ROOT/%_docdir/HTML/it/kmplayer
#mv $RPM_BUILD_ROOT/%_docdir/HTML/sv/sv $RPM_BUILD_ROOT/%_docdir/HTML/sv/kmplayer

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/*
%{_libdir}/kde3/kmplayer*
%{_libdir}/kde3/libkmplayerpart*
%{_libdir}/libkdeinit_kmplayer*
%{_libdir}/libkmplayercommon*
%{_datadir}/applications/kde/kmplayer.desktop
%{_datadir}/config/*
%{_datadir}/services/*
%{_datadir}/mimelnk/application/x-*
%{_datadir}/mimelnk/audio/x-*
%{_datadir}/mimelnk/video/x-*
%{_datadir}/apps/%{name}
%{_datadir}/icons/crystalsvg/32x32/apps/*
%{_datadir}/icons/locolor/16x16/apps/*
%{_datadir}/icons/locolor/32x32/apps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

#%lang(en) %_docdir/HTML/en/kmplayer
#%lang(et) %_docdir/HTML/et/kmplayer
#%lang(it) %_docdir/HTML/it/kmplayer
#%lang(sv) %_docdir/HTML/sv/kmplayer

%dir %_docdir/HTML/da/kmplayer/
%doc %_docdir/HTML/da/kmplayer/common
%doc %_docdir/HTML/da/kmplayer/*.bz2
%doc %_docdir/HTML/da/kmplayer/*.docbook

%dir %_docdir/HTML/en/kmplayer/
%doc %_docdir/HTML/en/kmplayer/common
%doc %_docdir/HTML/en/kmplayer/*.bz2
%doc %_docdir/HTML/en/kmplayer/*.docbook

%dir %_docdir/HTML/es/kmplayer/
%doc %_docdir/HTML/es/kmplayer/common
%doc %_docdir/HTML/es/kmplayer/*.bz2
%doc %_docdir/HTML/es/kmplayer/*.docbook

%dir %_docdir/HTML/et/kmplayer/
%doc %_docdir/HTML/et/kmplayer/common
%doc %_docdir/HTML/et/kmplayer/*.bz2
%doc %_docdir/HTML/et/kmplayer/*.docbook

%dir %_docdir/HTML/fr/kmplayer/
%doc %_docdir/HTML/fr/kmplayer/common
%doc %_docdir/HTML/fr/kmplayer/*.bz2
%doc %_docdir/HTML/fr/kmplayer/*.docbook

%dir %_docdir/HTML/it/kmplayer/
%doc %_docdir/HTML/it/kmplayer/common
%doc %_docdir/HTML/it/kmplayer/*.bz2
%doc %_docdir/HTML/it/kmplayer/*.docbook

%dir %_docdir/HTML/pt/kmplayer/
%doc %_docdir/HTML/pt/kmplayer/common
%doc %_docdir/HTML/pt/kmplayer/*.bz2
%doc %_docdir/HTML/pt/kmplayer/*.docbook

%dir %_docdir/HTML/sv/kmplayer/
%doc %_docdir/HTML/sv/kmplayer/common
%doc %_docdir/HTML/sv/kmplayer/*.bz2
%doc %_docdir/HTML/sv/kmplayer/*.docbook


%changelog
* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Tue Aug  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc4.2mdk
- remove files that conflict with kdelibs

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc4.1mdk
- fix icon installation
- add source URL
- new version

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc1.2mdk
- rebuild for new g++

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-0.rc1.1mdk
- 0.8.3-rc1

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Wed Nov 26 2003 Luca Berra <bluca@vodka.it> 0.8.1-2mdk
- removed x-ms-wmv.desktop (conflict with kdelibs-common)
- buildrequires arts (mcopidl)

* Thu Nov 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- from Cameron Hart <cam@bitshifter.net.nz> :
	- updated to latest release

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.4c-2mdk
- rebuild

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.4c-1mdk
- 0.7.4c
- use --enable-final, --build, --with-xinerama
- fix path to qt3 (lib64 issues..)
- macroize
- comment out non-applied patch
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4a-2mdk
- buildrequires

* Wed Apr 23 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.4a-1mdk
- 0.7.4a
- fix menu, use real icon
- Buildrequires (I hope I got them all)

* Thu Feb 27 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7a-3mdk
- Require mplayer(doh!)
- rm -rf buildroot during install
- more consistent spec
- quiet setup

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.7a-2mdk
- fix conflict with mandrake-mime

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.7a-1mdk
- 0.7a

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-0.2mdk
- from Elliott Martin <elliott@pdx.edu> :
	- add patch to make mplayer run using -ao arts

* Mon Jan 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-0.1mdk
- fix file section
- add menu
- from Elliott Martin <elliott@pdx.edu> :
	- new rpm, version 0.6
